<?php
/*********************************************************************************
	Debit API Demo - Indexdatei
	- HTML Gerüst für alle Seiten
	- anzuzeigender Inhalt mit ?page=...
*********************************************************************************/

	require_once('lib/config.php');
	require_once('lib/tools.php');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8">
	<title>Debit API Demo</title>
	<link href="style.css" rel="stylesheet">
</head>

<body>
<div align="center">
	<div class="caption">
		micropayment&trade; Debit API - Demoshop mit Guthabenverwaltung
	</div>

	<div class="content">
<?php
try {
// pageparameter wird als inhalt eingebunden
	$page = getGetVar('page', 'register');
	include('lib/page.' . $page . '.php');
} catch (Exception $e) {
	echo "Service Error";
	exit;
}
?>
	</div>

	<div class="menu">
		<a href="index.php?page=register">Anmelden</a>
	|	<a href="index.php?page=login">Einloggen</a>
	|	<a href="index.php?page=bankaccount">Bankverbindung</a>
	|	<a href="index.php?page=offer">Angebote</a>
	<br>Testumgebung:
		<a href="index.php?page=charge">Abbuchen</a>
	|	<a href="index.php?page=reverse">Stornieren</a>
	|	<a href="index.php?page=reset">Zurücksetzen</a>
	<br>Validierung:
		<a href="index.php?page=bankcheck">Bankcheck</a>
	|	<a href="index.php?page=bankaccountcheck">Accountcheck</a>
	<br>Interface: <?php echo MCP__DEBITSERVICE_INTERFACE;?>
	</div>

	<div class="debug" id="debug">
<?php
// für Debugzwecke Parameter und Session ausgeben
	if (DEBUG) {
		addDebugBlock('GET', $_GET);
		addDebugBlock('POST', $_POST);
		addDebugBlock('SESSION', $_SESSION);

		if(DEBUG == 2){
			if(isset($GLOBALS['debug']['exception'])) {
				addDebugBlock('EXCEPTION', $GLOBALS['debug']['exception']);
			}
			if(isset($GLOBALS['debug']['dispatcher'])) {
				addDebugBlock('DISPATCHER', $GLOBALS['debug']['dispatcher']);
			}
			if(isset($dispatcher)) {
				addDebugBlock('DISPATCHER_OBJ', $dispatcher);
			}
		}
		echo $debugBlock;
	}
?>
	</div>
</div>
</body>
</html>
