<?php
/*********************************************************************************
	Debit API Demo - Bestätigung
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// user und angebot ermitteln
	$username = getSessionVar('username');
	$sessionid = getSessionVar('sessionid');

	if (empty($username)) throw new Exception('Loggen Sie sich erst ein oder melden Sie sich an!');
	if (empty($sessionid)) throw new Exception('Wählen Sie ein Angebot aus!');

// hinterlegte Bankdaten ermitteln
	$res = $dispatcher->bankaccountGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $username);
	$GLOBALS['debug']['dispatcher']['bankaccountGet'][] = $res;

// Bankdaten gefunden
	$country = $res['country'];
	$bankcode = $res['bankCode'];
	$bank = $res['bankName'];
	$holder = $res['accountHolder'];
	$account = $res['accountNumber'];
	$iban = $res['iban'];
	$bic = $res['bic'];

// Sessiondaten ermitteln
	$res = $dispatcher->sessionGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $sessionid);
	$GLOBALS['debug']['dispatcher']['sessionGet'][] = $res;

// Daten ermitteln
	$status = $res['status'];
	$amount = $res['amount'];
	$title = $res['title'];
	$payText = $res['payText'];
	$freeParams = $res['freeParams'];
	$coins = $freeParams['coins'];
	$init = $freeParams['init'];

// für SEPA
	$creditorId = $res['creditorId'];
	$mandateRef = $res['mandateRef'];
	$payDate = $res['payDate'];

// dieser Text muß dem Kunden zugeschickt werden
	$notifyTxt = str_replace('{$amount}', sprintf('%0.2f EUR', $amount / 100), NOTIFICATION_TEMPLATE);
	$notifyTxt = str_replace('{$mandateRef}', $mandateRef, $notifyTxt);
	$notifyTxt = str_replace('{$creditorId}', $creditorId, $notifyTxt);
	$notifyTxt = str_replace('{$iban}', $iban, $notifyTxt);
	$notifyTxt = str_replace('{$bank}', $bank, $notifyTxt);
	$notifyTxt = str_replace('{$bic}', $bic, $notifyTxt);
	$notifyTxt = str_replace('{$payDate}', $payDate, $notifyTxt);

// status prüfen
	if ($status != 'INIT' && $status != 'REINIT') throw new Exception('Das Angebot wurde bereits bestätigt');
// ????
	//if (!$init) throw new Exception('Initialisierung fehlgeschlagen');

// nur ausführen wenn Formular unten gesendet wurde
	if (getPostVar('action') != 'approve'){
		$break = true;
		throw new Exception('action != approve');
	}

// Eingaben ermitteln
	$approve = getPostVar('approve');
	if (empty($approve)) throw new Exception('Bestätigen Sie den Lastschriftauftrag');

// buchen
	$res = $dispatcher->sessionApprove(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $sessionid);
	$GLOBALS['debug']['dispatcher']['sessionApprove'][] = $res;

// erfolgreich
	include('page.offer.php');
	return;

} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=approve" method="post">
	<input type="hidden" name="action" value="approve">

	<b>Bestätigen Sie den Lastschriftauftrag</b>
	<hr>

	<div>
		<b>Ihre gewähltes Angebot:</b><br>
		<table>
		<tr>
			<td>Angebot:</td>
			<td><?php echo $title; ?></td>
			<td>Coins:</td>
			<td><?php echo $coins; ?></td>
			<td>Preis:</td>
			<td><?php echo sprintf('%0.2f EUR', $amount / 100); ?></td>
		</tr>
		</table>
	</div>

	<div>
		<b>Ihre Bankverbindung:</b> <a href="?page=bankaccount">(ändern)</a><br>
		<table>
		<tr>
			<td>Kontonummer:</td>
			<td><?php echo $account; ?></td>
			<td>Kontoinhaber:</td>
			<td><?php echo $holder; ?></td>
		</tr>
		<tr>
			<td>Bankleitzahl:</td>
			<td><?php echo $bankcode; ?></td>
			<td>Bank:</td>
			<td><?php echo $bank; ?></td>
		</tr>
		<tr>
			<td>IBAN:</td>
			<td><?php echo $iban; ?></td>
			<td>BIC:</td>
			<td><?php echo $bic; ?></td>
		</tr>
		</table>
	</div>

	<div>
		Der Betrag wird von Ihrem Konto durch die Firma Micropayment GmbH abgebucht.
		Die Gutschrift erfolgt nach Zahlungseingang.
		Bitte bestätigen Sie den Lastschriftauftrag! (Nachfolgend der Notificationtext)
	</div>

	<div>
		<?php echo $notifyTxt; ?>
	</div>

	<div>
		<input type="checkbox" id="approve" name="approve" value="1">
		<label for="approve">Ja, buchen Sie den Betrag von meinem oben genannten Konto.</label>
	</div>

	<div class="center">
		<input type="submit" value="Bestätigen">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>

