<?php
/*********************************************************************************
	Debit API Demo - Bankcheck
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// wenn Formular nicht gesendet wurde
	if (getPostVar('action') != 'bankcheck') {
		$break = true;
		throw new Exception('action != bankcheck');
	}

// Eingaben ermitteln
	$bankcode = getPostVar('bankcode');
	$iban = getPostVar('iban');
	$bic = getPostVar('bic');
// Land setzen -> evtl. durch Formular abfragen
	$country = getSessionVar('country', DEFAULT_COUNTRY);

	if(empty($iban) && empty($bic)) {
		$useIban = false;
	} else {
		$useIban = true;
	}

// Eingaben prüfen

	if($useIban){
		if(empty($iban)) throw new Exception('Geben Sie den IBAN ein');
	// optional BIC
		//if(empty($bic)) throw new Exception('Geben Sie den BIC ein');
	} else {
		if(empty($bankcode)) throw new Exception('Geben Sie Ihre Bankleitzahl ein');
	}

	$res = $dispatcher->bankCheck(SERVICE_ACCESSKEY, SERVICE_TESTMODE,
										$iban,
										$bic,
										$country,
										$bankcode);
	$GLOBALS['debug']['dispatcher']['bankCheck'][] = $res;

	$bank = $res['bankName'];
	$bic = $res['bic'];
	$bankcode = $res['bankCode'];

} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=bankcheck" method="post">
	<input type="hidden" name="action" value="bankcheck">

	<b>Geben Sie Ihre Bankdaten ein, entweder BLZ oder IBAN/BIC</b>
	<hr>

	<div>
		<label for="bankcode">Bankleitzahl</label><br>
		<input type="text" id="bankcode" name="bankcode" value="<?php echo $bankcode; ?>"> <input type="text" id="bank" name="bank" value="<?php echo $bank; ?>" readonly>
	</div>

	<div>
		<label for="iban">IBAN</label><br>
		<input type="text" id="iban" name="iban" value="<?php echo $iban; ?>">
	</div>

	<div>
		<label for="bic">BIC</label><br>
		<input type="text" id="bic" name="bic" value="<?php echo $bic; ?>">
	</div>

	<div class="center">
		<input type="submit" value="Testen">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>

