<?php
/*********************************************************************************
	Debit API Demo - Login
	- ermittelt user anhand namen und prüft passwort
*********************************************************************************/
require_once 'config.php';

$break = false;
try {
// dispatcher erzeugen
	$dispatcher = new TNvpServiceDispatcher(MCP__DEBITSERVICE_INTERFACE, MCP__DEBITSERVICE_NVP_URL);

// nur ausführen wenn Formular unten gesendet wurde
	if (getPostVar('action') != 'login'){
		$break = true;
		throw new Exception('action != login');
	}

// Eingaben ermitteln
	$username = getPostVar('username');
	$password = getPostVar('password');

// usernamen prüfen
	if (empty($username)) throw new Exception('Geben Sie einen Usernamen ein');
	if (empty($password)) throw new Exception('Geben Sie einen Passwort ein');

// User suchen
	$res = $dispatcher->customerGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $username);
	$GLOBALS['debug']['dispatcher']['customerGet'][] = $res;

	if(!isset($res['freeParams'])) throw new Exception('User/Passwort ist ungueltige Daten');
	$freeParams = $res['freeParams'];

// passwort prüfen
	if ($freeParams['password'] != $password) throw new Exception('Passwort ist ungueltig');
	if (!empty($freeParams['barred'])) throw new Exception('User wurde gesperrt');

// login erfolgreich
	setSessionVar('username', $username);

	try{
	// prüfen ob Bankdaten hinterlegt wurden
		$res = $dispatcher->bankaccountGet(SERVICE_ACCESSKEY, SERVICE_TESTMODE, $username);
		$GLOBALS['debug']['dispatcher']['bankaccountGet'][] = $res;

		include('page.offer.php');
	} catch (Exception $e){
		$GLOBALS['debug']['exception'][] = $e;
		if($e->getCode() == ERR_BANKACCOUNT_NOTSET){
		// bankdaten abfragen
			include('page.bankaccount.php');
		} else {
			throw $e;
		}
	}
	return;
} catch (Exception $e) {
	$GLOBALS['debug']['exception'][] = $e;
	if(!$break) $errorText = $e->getMessage();
}
?>
<form action="index.php?page=login" method="post">
	<input type="hidden" name="action" value="login">

	<b>Loggen Sie sich ein</b>
	<hr>

	<div>
		<label for="username">Username</label><br>
		<input type="text" id="username" name="username" value="<?php echo $username; ?>">
	</div>

	<div>
		<label for="password">Passwort</label><br>
		<input type="password" id="password" name="password" value="<?php echo $password; ?>">
	</div>

	<div class="center">
		<input type="submit" value="Login">
	</div>

	<br>
	<div class="message">
		<span class="error"><?php echo $errorText; ?></span>
		<span class="info"><?php echo $infoText; ?></span>
	</div>
</form>

