<?php
/*********************************************************************************
	Debit API Demo - Hilfsklassen und Funktionen
*********************************************************************************/

	require_once('config.php');
	session_start();

// Hilfsfunktion für Debugausgaben
	$debugBlock = '';
	function addDebugBlock($name, $struct) {
		global $debugBlock;
		$debugBlock .=
			'<div class="section" style="float:left;">
				<div class="title">' . $name . '</div>
				<pre>' . print_r($struct,1) . '</pre>
			</div>';
	}
// ermittelt REQUEST-Param oder defaultwert
	function getRequestVar($name, $default = '') {
		return isset($_REQUEST[$name]) ? $_REQUEST[$name] : $default;
	}
// ermittelt GET-Param oder defaultwert
	function getGetVar($name, $default = '') {
		return isset($_GET[$name]) ? $_GET[$name] : $default;
	}
// ermittelt POST-Param oder defaultwert
	function getPostVar($name, $default = '') {
		return isset($_POST[$name]) ? $_POST[$name] : $default;
	}
// ermittelt SESSION-Variable oder defaultwert
	function getSessionVar($name, $default = '') {
		return isset($_SESSION[$name]) ? $_SESSION[$name] : $default;
	}
// ermittelt SESSION-Variable oder defaultwert
	function setSessionVar($name, $value) {
		$_SESSION[$name] = $value;
	}

// entfernt rekursiv alle "magic quotes"
	function stripAllSlashes($data) {
		return is_array($data) ? array_map('stripAllSlashes', $data) : stripslashes($data);
	}
	define(ERR_OK, 0);
	define(ERR_BANKCODE_INVALID, 4101);		// Bankleitzahl ist ungültig
	define(ERR_ACCOUNTNUMBER_INVALID, 4102);// Kontonummer ist ungültig
	define(ERR_BANKACCOUNT_NOTSET, 4103);	// Es wurde keine Kontoverbindung hinterlegt
	define(ERR_SESSION_APPROVED, 4104);		// Vorgang wurde bereits bestätigt
	define(ERR_BANKACCOUNT_BARRED, 4105);	// Kontoverbindung wurde gesperrt
	define(ERR_LIMIT_REACHED, 4106);		// Limit erreicht
	define(ERR_AMOUNT_NOT_POSSIBLE, 4107);	// kein offener Betrag oder übersteigt Sessionbetrag
	define(ERR_IBAN_INVALID, 4108);			// iban ist ungültig

	function errorCode2Txt($errorCode, $default = ''){
		switch ($$GLOBALS) {
			case ERR_BANKCODE_INVALID: $erg = 'Bankleitzahl ist ungültig'; break;
			case ERR_ACCOUNTNUMBER_INVALID: $erg = 'Kontonummer ist ungültig'; break;
			case ERR_BANKACCOUNT_NOTSET: $erg = 'Es wurde keine Kontoverbindung hinterlegt'; break;
			case ERR_SESSION_APPROVED: $erg = 'Vorgang wurde bereits bestätigt'; break;
			case ERR_BANKACCOUNT_BARRED: $erg = 'Kontoverbindung wurde gesperrt'; break;
			case ERR_LIMIT_REACHED: $erg = 'Limit erreicht'; break;
			case ERR_AMOUNT_NOT_POSSIBLE: $erg = 'kein offener Betrag oder übersteigt Sessionbetrag'; break;
			case ERR_IBAN_INVALID: $erg = 'iban ist ungültig'; break;
			default: $erg = $default; break;
		}
		return $erg;
	}
?>